# Interface PropertyValue

interface PropertyValue {
name: string;
setter: string;
timestamp: number;
value: unknown;
}

- Defined in propertyvalues.ts:54

##### Index

### Properties

name
setter
timestamp
value

## Properties

### name

name: string

Property name

- Defined in propertyvalues.ts:60

### setter

setter: string

Source identifier (plugin id, server, provider id)

- Defined in propertyvalues.ts:58

### timestamp

timestamp: number

Timestamp in milliseconds

- Defined in propertyvalues.ts:56

### value

value: unknown

The property value (can be any type including functions)

- Defined in propertyvalues.ts:62